This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 178142 - Review Request: jakarta-commons-cli - Jakarta Commons CLI
Review Request: jakarta-commons-cli - Jakarta Commons CLI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Chabot
Fedora Package Reviews List
: Reopened
: 178141 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-17 19:36 EST by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 02:14:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2006-01-17 19:36:33 EST
Spec Name or Url: http://people.redhat.com/green/FE/devel/jakarta-commons-cli.spec
SRPM Name or Url: http://people.redhat.com/green/FE/devel/jakarta-commons-cli-1.0-6jpp_1.src.rpm
Description: 
The CLI library provides a simple and easy to use API for working with
the command line arguments and options.

I'm submitting this package in preparation for submitting Azureus, which depends on this.
Comment 1 Chris Chabot 2006-01-17 20:13:32 EST
If no one else picks this up before tomorrow morning i'll take it on then

Can't wait for seeing Azureus btw :-) Bouncy castle following soon?
Comment 2 Ignacio Vazquez-Abrams 2006-01-17 20:16:15 EST
*** Bug 178141 has been marked as a duplicate of this bug. ***
Comment 3 Anthony Green 2006-01-17 20:21:10 EST
(In reply to comment #1)
> If no one else picks this up before tomorrow morning i'll take it on then

Thanks.

> Can't wait for seeing Azureus btw :-) Bouncy castle following soon?

I'm going to see if we can get away with just the GNU Crypto provider, instead
of importing all of bouncycastle.

Comment 4 Chris Chabot 2006-01-18 06:22:10 EST
I see no one else picked this up in the meantime; Changing bug to FE-REVIEW

Looking at the spec file its still confusing to find the %define's, but i know
its to keep it close to the JPackage one, so thats ok :-)

Groups and everything look good from the get-go too

Summary: Its usually not needed to include the %{name} in it, rpm tools (or even
rpm -q) would display this name already before the summary, i think better would
be just:
"Command Line Interface for Java"

It builds and mock builds cleanly (fc-devel-i386)

rpmlint output is quiet.

It does have some files listed twice, rpmbuild says:
warning: File listed twice: /usr/lib/gcj/jakarta-commons-cli
warning: File listed twice:
/usr/lib/gcj/jakarta-commons-cli/jakarta-commons-cli-1.0.jar.db
warning: File listed twice:
/usr/lib/gcj/jakarta-commons-cli/jakarta-commons-cli-1.0.jar.so

It would be safe to make your files section:
%files                                                                         
                                             
%defattr(0644,root,root,0755)                                                  
                                             
%doc LICENSE.txt README.txt                                                    
                                             
%{_javadir}/*                                                                  
                                             
%{_libdir}/gcj/%{name}

That way it automaticly owns the directory, and picks up all the files inside of
it. File permissions look good to me, so no need for %attr magic

Formal review list:

MUST review items:
- Builds cleanly on FC5 devel.
- rpmlint has no output / complaints
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (Apache) is fedora extra's compatible & is included in spec
- Spec file is in (american) english
- Does not list buildrequires that are excepted in the package guidelines
- All build dependencies are listed
- No need for ldconfig
- All files have proper permissions
- Package is not relocatable
- ** Error: duplicate files in %files section
- No missing files in %files section
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No -devel package needed
- ** Directory-ownerships is ok, but needs rework to fix duplicate files
- Not a gui app so no desktop file handling needed

Should items:
- Includes upstream licence file (COPYING)
- No insane scriplets, or scriplets at all
- No unnescesarry requires
- Mock builds cleanly

If you could fix the 2 above mentioned issues (summary & %files section) i think
we'll be done with this in no time, nice to see your getting the hang of this
packaging thing :-)
Comment 5 Anthony Green 2006-01-18 08:37:32 EST
(In reply to comment #4)
> I see no one else picked this up in the meantime; Changing bug to FE-REVIEW

Thanks!  Updated files here:
Spec Name or Url: http://people.redhat.com/green/FE/devel/jakarta-commons-cli.spec
SRPM Name or Url:
http://people.redhat.com/green/FE/devel/jakarta-commons-cli-1.0-6jpp_5.src.rpm

Note that I found a copy of the SRPM recently removed from development core and
integrated the changelog into this one, which is why the release jumped from 1
to 5.  There was really only one change in that SRPM, which was to remove the
Vendor and Distributor tags.


> Summary: Its usually not needed to include the %{name} in it, rpm tools (or even
> rpm -q) would display this name already before the summary, i think better would
> be just:
> "Command Line Interface for Java"

Done.

> It would be safe to make your files section:

Done.

Thanks!

AG


Comment 6 Chris Chabot 2006-01-18 08:44:29 EST
Changes look great, here's the completed formal review list:

MUST review items:
- Builds cleanly on FC5 devel.
- rpmlint has no output
- Source included matches upsteam source (md5sum)
- Package name meets guidelines
- spec file name is in %{name}.spec format
- Licence (Apache Software Licence) is fedora extra's compatible & is included
in spec
- Spec file is in (american) english
- Does not list buildrequires that are excepted in the package guidelines
- All build dependencies are listed
- No need for ldconfig
- All files have proper permissions
- Package is not relocatable
- No duplicate files in %files section anymore
- No missing files in %files section
- Has a proper %clean section with rm -rf $RPM_BUILD_ROOT
- Uses macro's described in PackagingGuidelines
- No entries in %doc that are required for standard program operation
- No -devel package needed
- Directory-ownerships is ok now
- Not a gui app so no desktop file handling needed

Should items:
- Includes upstream licence file (COPYING)
- No insane scriplets, or scriplets at all
- No unnescesarry requires
- Mock builds cleanly

FE-APPROVED!
Comment 7 Anthony Green 2006-01-18 09:36:23 EST
Thanks.  AG.
Comment 8 Chris Chabot 2006-08-29 02:14:11 EDT
Re-assigned bug to me
Comment 9 Christian Iseli 2006-10-18 09:12:32 EDT
Normalize summary field for easy parsing
Comment 10 rob 2007-06-21 15:30:41 EDT
Package Change Request
======================
Package Name: jakarta-commons-cli
New Branches: EL-5
Updated EPEL Owners: rob.myers@gtri.gatech.edu

rob myers wrote:
> Hi Anthony-
> 
> I'd like to have jakarta-commons-cli available in EPEL since checkstyle
> requires it.  Are you interested in EPEL?  If you are not interested in
> EPEL I would be willing to become a co-maintainer of the package for the
> purposes of EPEL support.

Please help yourself to co-maintainership.  That would be great.  Do I 
have to do anything to make that happen?

Thanks!

AG
Comment 11 Kevin Fenzi 2007-06-21 22:30:46 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.